WeakKeyException (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.cipher.WeakKeyException,WeakKeyException class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.cipher
Class WeakKeyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--java.security.KeyException
                              |
                              +--java.security.InvalidKeyException
                                    |
                                    +--gnu.crypto.cipher.WeakKeyException

All Implemented Interfaces:
  java.io.Serializable

public class WeakKeyException
extends java.security.InvalidKeyException

Checked exception thrown to indicate that a weak key has been generated and or specified instead of a valid non-weak value.

See Also:
  Serialized Form

Constructor Summary
`WeakKeyException()`
`WeakKeyException(java.lang.String msg)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WeakKeyException

    public WeakKeyException()

### WeakKeyException

    public WeakKeyException(java.lang.String msg)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.